OSX Lion and Final Cut Pro 5.1

Discussion in 'Mac OS X Lion (10.7)' started by hshukla76, Jul 29, 2011.

  1. macrumors newbie

    Joined:
    Jan 5, 2009
    #1
    Hi I just upgraded my HDD on my 2011 MBP, and installed a clean installation of Lion. I wanted to install Final Cut Studio 5.1 application but I am being told the installer is an old version and not supported. Is their any way for me to get around this? I know there are new versions but I spent an arm and a leg to purchase this version and it was working for my needs. Any advise on how I can install this on my Mac would be appreciated.
     
  2. macrumors 6502

    Joined:
    Jun 15, 2011
    Location:
    Syracuse, NY
    #2
    if it's giving you the PPC program error, there's no way around it
     
  3. macrumors 68030

    Joined:
    Jan 20, 2010
    Location:
    Terra
    #3
    It is giving you an error because the installer is PPC code, which does not run in Lion. The only way to install it would be to find all the parts it installs and manually copy them yourself. That, or install Snow Leopard, install FCS, and then upgrade to Lion. You have FCS1, FCS2 also suffers from this issue. FCS3 or FCPX are the only 2 versions of Final Cut Pro that will install from within Lion.

    Sucks, because I have FCS2.

    FCS = Final Cut Studio, which Final Cut Pro is a part of, if there was any confusion.
     

Share This Page